Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 720990 - net-irc/hexchat-2.16.1 fails to compile with dev-lang/python-exec[-native-symlinks]
Summary: net-irc/hexchat-2.16.1 fails to compile with dev-lang/python-exec[-native-sym...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Adrian Schollmeyer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 762406
  Show dependency tree
 
Reported: 2020-05-04 19:40 UTC by David Abbott
Modified: 2022-11-06 09:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build_log.txt,7.14 KB, text/plain)
2020-05-04 19:41 UTC, David Abbott
Details
emerge -pqv (emerge_p.txt,250 bytes, text/plain)
2020-05-04 19:42 UTC, David Abbott
Details
emerge --info (emerge_info.txt,7.00 KB, text/plain)
2020-05-04 19:43 UTC, David Abbott
Details
meson log (meson-log.txt,37.74 KB, text/plain)
2020-05-04 19:44 UTC, David Abbott
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Abbott gentoo-dev 2020-05-04 19:40:36 UTC
Run-time dependency python3 found: NO (tried pkgconfig)

plugins/python/meson.build:3:2: ERROR: Dependency "python3" not found, tried pkgconfig


Reproducible: Always
Comment 1 David Abbott gentoo-dev 2020-05-04 19:41:53 UTC
Created attachment 636056 [details]
build log
Comment 2 David Abbott gentoo-dev 2020-05-04 19:42:49 UTC
Created attachment 636058 [details]
emerge -pqv
Comment 3 David Abbott gentoo-dev 2020-05-04 19:43:38 UTC
Created attachment 636060 [details]
emerge --info
Comment 4 David Abbott gentoo-dev 2020-05-04 19:44:10 UTC
Created attachment 636062 [details]
meson log
Comment 5 David Abbott gentoo-dev 2020-05-05 23:48:18 UTC
Ok got it to install by;
/etc/portage/package.use
*/* PYTHON_TARGETS: python2_7 python3_7
*/* PYTHON_SINGLE_TARGET: -* python3_7
Comment 6 Agostino Sarubbo gentoo-dev 2021-10-04 11:20:52 UTC
ci has reproduced this issue with version 2.16.0 - Updating summary.
Comment 7 Agostino Sarubbo gentoo-dev 2022-02-13 13:42:04 UTC
ci has reproduced this issue with version 2.16.1 - Updating summary.
Comment 8 Adrian Schollmeyer 2022-11-06 09:45:05 UTC
meson looks for python using dependency(python_opt, ...) where python_opt is whatever is specified after -Dwith-python=. This fails when specifying -Dwith-python=${EPYTHON} (or even when manually specifying -Dwith-python=python3.10, for example). I still need to figure out how to tell meson which Python version to use.